ComponentTuplizer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple.component
Interface ComponentTuplizer

All Superinterfaces:
  Serializable, Tuplizer

All Known Implementing Classes:
  AbstractComponentTuplizer, DynamicMapComponentTuplizer, PojoComponentTuplizer

    public interface ComponentTuplizer

extends Tuplizer, Serializable

Defines further responsibilities regarding tuplization based on a mapped components.

ComponentTuplizer implementations should have the following constructor signature: (org.hibernate.mapping.Component)

Method Summary
`Object` | `getParent(Object component)` Retreive the current value of the parent property.
`boolean` | `hasParentProperty()` Does the component managed by this tuuplizer contain a parent property?
`boolean` | `isMethodOf(Method method)` Is the given method available via the managed component as a property getter?
`void` | `setParent(Object component, Object parent, SessionFactoryImplementor factory)` Set the value of the parent property.

Methods inherited from interface org.hibernate.tuple.Tuplizer
`getGetter, getMappedClass, getPropertyValue, getPropertyValues, instantiate, isInstance, setPropertyValues`

Method Detail

### getParent

    Object getParent(Object component)

  Retreive the current value of the parent property.

  Parameters:
    `component` - The component instance from which to extract the parent property value.
  Returns:
    The current value of the parent property.

### setParent

    void setParent(Object component,
                   Object parent,
                   SessionFactoryImplementor factory)

  Set the value of the parent property.

  Parameters:
    `component` - The component instance on which to set the parent.
    `parent` - The parent to be set on the comonent.
    `factory` - The current session factory.

### hasParentProperty

    boolean hasParentProperty()

  Does the component managed by this tuuplizer contain a parent property?

  Returns:
    True if the component does contain a parent property; false otherwise.

### isMethodOf

    boolean isMethodOf(Method method)

  Is the given method available via the managed component as a property getter?

  Parameters:
    `method` - The method which to check against the managed component.
  Returns:
    True if the managed component is available from the managed component; else false.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.